#32/64
%define _appdatadir %{_datadir}/appdata

Summary:	Interactive MTP client with Qt GUI
Name:		android-file-transfer
Version:	3.9
Release:	%mkrel 1
License:	GPLv3+
Group:		File tools
Url:		https://github.com/whoozle/android-file-transfer-linux/
# From git by tag https://github.com/whoozle/android-file-transfer-linux/
Source0:	%{name}-%{version}.tar.xz
BuildRequires:	appstream-glib
BuildRequires:	cmake
BuildRequires:	desktop-file-utils
BuildRequires:	imagemagick
BuildRequires:	%{_lib}readline-devel
BuildRequires:	%{_lib}fuse-devel
BuildRequires:	qtbase5-common-devel
BuildRequires:	%{_lib}qt5core-devel
BuildRequires:	%{_lib}qt5gui-devel
BuildRequires:	%{_lib}qt5widgets-devel
BuildRoot: 	%_tmppath/%name-%version-buildroot

%description
Interactive MTP client with Qt5 GUI.


%prep
%setup -qn %{name}-%{version}

%build
%cmake_qt5
%make

%install
rm -rf %buildroot
%makeinstall_std -C build

find %{buildroot} -name '*.a' -delete

# install menu entry
desktop-file-install qt/%{name}.desktop \
	--dir=%{buildroot}%{_datadir}/applications

# install menu icons
for N in 16 32 48 64 128 256;
do
convert qt/%{name}.png -scale ${N}x${N} $N.png;
install -D -m 0644 $N.png %{buildroot}%{_iconsdir}/hicolor/${N}x${N}/apps/%{name}.png
done


#menu for PCLinuxOS
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-System-FileTools" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop
  
appstream-util validate-relax --nonet %{buildroot}%{_datadir}/metainfo/%{name}.appdata.xml  

%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}


%files
%doc LICENSE README.md
%{_bindir}/%{name}
%{_bindir}/aft-mtp-cli
%{_bindir}/aft-mtp-mount
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_datadir}/metainfo/android-file-transfer.appdata.xml


%changelog
* Thu Jun 20 2019 tex - 3.9-1pclos2019
- new version

* Thu May 23 2019 tex - 3.8-1pclos2019
- new version

* Thu Mar 2 2017 Agent Smith <ruidobranco@yahoo.com.br> 3.2-1pclos2017 
- Created package, with latest sources.

* Wed Dec 30 2015 bb <bb> 2.4-2pclos2015
- fix menu entry for pclos

* Wed Dec 30 2015 Agent Smith <ruidobranco@yahoo.com.br> 2.4-1pclos2016 
- Created package, with latest sources.
